/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.PricingMarca;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Rafius
 */
public class RenderPricingMarca implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        PricingMarca pm = (PricingMarca) o;

        Listcell lc = new Listcell();

        if (pm.getMarca() != null) {
            lc = new Listcell(pm.getMarca().getDescmarca());
        } else {
            lc = new Listcell("-");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", pm);
    }
}
